module binarization_test();

	reg clk;
	reg rst_n;
	reg pre_frame_vsync;
	reg pre_frame_hsync;
	reg pre_frame_de;
	reg [7:0] color;
	wire post_frame_vsync;
	wire post_frame_hsync;
	wire post_frame_de;
	wire monoc;
	wire monoc_fall;

	//----Code starts here: integrated by Robei-----
	initial begin
			clk = 'd0;
			rst_n = 'd0;
			#20;
			rst_n = 'd1;
			#200;
			pre_frame_de = 'd1;
			color = 8'b1111_0000;
			#500;
			color = 8'b0000_1111;
			#500;
			$finish;
	end
	
	always begin
			#1;
			clk <= ~clk;
	end
	
	
	initial begin
		$dumpfile ("F:/Robei_competition_common_ip/Algorithm_type/pic_binaryzation/binarization_test.vcd");
		$dumpvars;
	end
	//---Module instantiation---
	binarization binarization1(
		.clk(clk),
		.rst_n(rst_n),
		.pre_frame_vsync(pre_frame_vsync),
		.pre_frame_hsync(pre_frame_hsync),
		.pre_frame_de(pre_frame_de),
		.color(color),
		.post_frame_vsync(post_frame_vsync),
		.post_frame_hsync(post_frame_hsync),
		.post_frame_de(post_frame_de),
		.monoc(monoc),
		.monoc_fall(monoc_fall));

endmodule    //binarization_test

